> ## Documentation Index
> Fetch the complete documentation index at: https://enterprise-docs.bglobale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Save products list

> Saves product data on the Global-e system and returns the matching ProductCountry objects for the specified products.

Saves product data on the Global‑e system and returns the list of matching ProductCountry objects for the list of products specified. The caller is responsible for calling this method for every product not found (or invalidated) in the local cache on the Merchant side. Calling this method as soon as possible will allow Global‑e to map the products to their respective customs category and will therefore allow guaranteed landed cost offering for these products. Therefore, this method should be called when creating or updating the products on the Merchant’s back end as well.


## OpenAPI

````yaml api-reference/specs/saveproductslist.yaml POST /Browsing/SaveProductsList
openapi: 3.0.3
info:
  title: SaveProductsList
  version: 1.0.0
  x-scaled-review: true
  description: >-
    Saves product data on the Global‑e system and returns the list of matching
    ProductCountry objects for the list of products specified. The caller is
    responsible for calling this method for every product not found (or
    invalidated) in the local cache on the Merchant side. Calling this method as
    soon as possible will allow Global‑e to map the products to their respective
    customs category and will therefore allow guaranteed landed cost offering
    for these products. Therefore, this method should be called when creating or
    updating the products on the Merchant’s back end as well.
servers:
  - url: https://{globale_api_domain}
    variables:
      globale_api_domain:
        default: globale_api_domain
        description: Global-e API host, supplied to the merchant by Global-e.
security: []
tags:
  - name: SaveProductsList
    x-page-title: SaveProductsList
  - name: 'Direction: Merchant → Global-e'
  - name: 'Domain: Browsing & Catalog'
paths:
  /Browsing/SaveProductsList:
    post:
      tags:
        - SaveProductsList
      summary: Save product data and return matching ProductCountry objects
      description: >-
        Saves product data on the Global‑e system and returns the list of
        matching ProductCountry objects for the list of products specified. The
        caller is responsible for calling this method for every product not
        found (or invalidated) in the local cache on the Merchant side. Calling
        this method as soon as possible will allow Global‑e to map the products
        to their respective customs category and will therefore allow guaranteed
        landed cost offering for these products. Therefore, this method should
        be called when creating or updating the products on the Merchant’s back
        end as well.
      operationId: saveProductsList
      parameters:
        - name: clientIP
          in: query
          description: End customer’s IP address
          required: false
          schema:
            type: string
        - name: countryCode
          in: query
          description: 2-char ISO country code of the end customer’s shipping country
          required: false
          schema:
            type: string
        - name: cultureCode
          in: query
          description: >-
            ISO culture code. If specified, the textual properties (e.g.
            RestrictionMessage) will be returned in the requested culture’s
            language if available. Texts in English will be returned by default.
          required: false
          schema:
            type: string
        - name: includeVAT
          in: query
          description: IncludeVAT value returned from CountryCoefficients method
          required: false
          schema:
            type: integer
            format: int64
        - name: inputDataCultureCode
          in: query
          description: >-
            ISO culture code. Denotes the culture for the products’ textual
            properties being saved (e.g. Description). If not specified, the
            Merchant’s default culture will be assumed by default.
          required: false
          schema:
            type: string
        - name: originalCurrencyCode
          in: query
          description: >-
            3-char ISO currency code denoting the original currency on the
            Merchant’s site (before applying country coefficient and FX
            conversion). If not specified, the Merchant’s default currency will
            be assumed by default.
          required: false
          schema:
            type: string
        - name: priceCoefficientRate
          in: query
          description: Rate returned from CountryCoefficients method
          required: false
          schema:
            type: number
        - name: productsList
          in: query
          description: List of Product objects (specified in the request body)
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/Product'
        - name: roundingRuleId
          in: query
          description: The RoundingRuleId value returned from the RoundingRules method
          required: false
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: List of countries and their details for the specified products.
          content:
            application/json:
              schema:
                type: object
                properties:
                  ProductCountry:
                    type: array
                    items:
                      $ref: '#/components/schemas/ProductCountry'
                    description: List of countries and their details for specified products
components:
  schemas:
    Product:
      type: object
      title: Product
      properties:
        Attributes:
          type: array
          items:
            $ref: '#/components/schemas/Attributes'
          description: The product’s custom attributes (such as Color, Size, etc.)
        AttributesEnglish:
          type: array
          items:
            $ref: '#/components/schemas/Attributes'
          description: >-
            The product’s custom attributes (such as Color, Size, etc.) in
            English
        BackOrderDate:
          type: string
          description: Estimated date for the backordered item to be in stock
        Brand:
          allOf:
            - $ref: '#/components/schemas/Brand'
          description: The product’s brand
        CartItemId:
          type: string
          description: >-
            Identifier of the cart item on the Merchant’s site. This property
            may be optionally specified in the SendCart method only so that the
            same value can be posted back when creating the order on the
            Merchant’s site with the SendOrderToMerchant method.
        CartItemOptionId:
          type: string
          description: >-
            Identifier of the child cart item “option” on the Merchant’s site.
            This value must be specified if the current cart item is related to
            a parent item ( CartItemId must not be specified for this item
            because this attribute applies only to the “parent” item itself).
            For example, this item might indicate a package for the parent item
            in the same cart. This property may be optionally specified in the
            SendCart method only so that the same value can be posted back when
            creating the order on the Merchant’s site with the
            SendOrderToMerchant method.
        Categories:
          type: array
          items:
            $ref: '#/components/schemas/Category'
          description: The product’s categories
        DeliveryQuantity:
          type: number
          description: >-
            The quantity actually set for delivery for the product (to be used
            in the Order methods described below, as needed)
        Description:
          type: string
          description: Description of the Product
        DescriptionEnglish:
          type: string
          description: Description of the Product in English
        GenericHSCode:
          type: string
          description: >-
            The product’s generic HS Code (not country-specific). If specified
            this property may assist in mapping the product for duties and taxes
            calculation purposes.
        GiftMessage:
          type: string
          description: >-
            Optional “gift message” text defined by the end customer to be
            printed on the product.
        HandlingCode:
          type: string
          description: >-
            Code applicable to the product on the Merchant’s site. This code may
            be optionally used by the Merchant to trigger a certain business
            logic when this product is included in the order posted back to the
            Merchant’s site with the SendOrderToMerchant method.
        Height:
          type: number
          description: >-
            The product’s height in the Merchant’s default unit of length
            measure (will be converted to CM).
        HubCode:
          type: string
          description: >-
            The Merchant hub code indicates from which hub the product was sent.
            Note that the HubCode should be mapped to a Global-e hubId on the
            Global-e side.
        ImageHeight:
          type: number
          description: The product’s image height in pixels
        ImageURL:
          type: string
          description: The product’s image URL
        ImageWidth:
          type: number
          description: The product’s image width in pixels
        IsBackOrdered:
          type: boolean
          description: >-
            Boolean specifying if the product was ordered as a back ordered
            item. TRUE - The item is back ordered FALSE - The item is not back
            ordered. Default FALSE.
        IsBlockedForGlobalE:
          type: boolean
          description: >-
            Indicates if product is available for international shipping. TRUE -
            The product is not available for international shipping FALSE - The
            product is available for international shipping
        IsBundle:
          type: boolean
          description: >-
            Indicates if the product represents a set of products. TRUE - The
            product represents a set of other products. If a bundled product has
            non-zero prices specified (i.e. OriginalListPrice , ListPrice ,
            etc.), then all the contained products must have zero prices, and
            vice versa, to avoid double charging for the same products. FALSE -
            The product does not represent a set of other products.
        IsFixedPrice:
          type: boolean
          description: >-
            Indicates if the product’s price is fixed by the Merchant, in the
            default currency for the country. TRUE - The product’s price is
            fixed. In this case, all price modifications are disabled for this
            product. Setting fixed prices is only allowed for the Countries
            where the SupportsFixedPrices flag is set to TRUE. FALSE - The
            product's price is not fixed.
        IsVirtual:
          type: boolean
          description: >-
            Indicates if the product represents a virtual product that does not
            have weight or volume and doesn’t affect shipping calculation in
            Global‑e checkout TRUE - The product represents a virtual product
            FALSE - The product does not represent a virtual product
        Keywords:
          type: string
          description: The product’s keywords
        Length:
          type: number
          description: >-
            The product’s length in the Merchant’s default unit of length
            measure (will be converted to CM).
        LineItemOriginalSalePrice:
          type: number
          description: >-
            Line item (product in ordered quantity) sale price in the original
            Merchant’s currency including the local VAT, before applying any
            price modifications. This property always denotes the price in the
            default Merchant’s country, regardless of UseCountryVAT for the end
            customer’s current country. If not specified, will be deemed equal
            to “ OriginalSalePrice* OrderedQuantity ”. If specified, will take
            preference over OriginalSalePrice .
        LineItemSalePrice:
          type: number
          description: >-
            Line item (product in ordered quantity) sale price as displayed to
            the customer, after applying country coefficient, FX conversion and
            IncludeVAT handling, before rounding rules have been applied. If not
            specified, will be deemed equal to “ SalePrice * OrderedQuantity ”.
            If specified, will take preference over SalePrice .
        ListPrice:
          type: number
          description: >-
            Product list price (before discounts) as displayed to the customer,
            after applying country coefficient, FX conversion, rounding rule (if
            applicable) and IncludeVAT handling.
        LocalVATRateType:
          allOf:
            - $ref: '#/components/schemas/VATRateType'
          description: >-
            VAT rate type or class that would be applied to this product if the
            order was placed by the local customer. This value must be specified
            if UseCountryVAT for the current Country is TRUE, and therefore the
            VATRateType property actually denotes the VAT for the target
            country.
        MetaData:
          allOf:
            - $ref: '#/components/schemas/ProductMetaData'
          description: >-
            Used to hold additional product data such as customer-defined
            product attributes.
        Name:
          type: string
          description: Name of the Product
        NameEnglish:
          type: string
          description: Name of the Product in English
        NetVolume:
          type: number
          description: >-
            The product’s net volume in the Merchant’s default unit of volume
            measure (will be converted to cubic CM). If specified, this property
            indicates the net volume of the product, excluding any packaging.
        NetWeight:
          type: number
          description: >-
            The product’s net weight in the Merchant’s default unit of weight
            measure (will be converted to grams). If specified, this property
            indicates the net weight of the product, excluding any packaging.
        OrderedQuantity:
          type: number
          description: >-
            Ordered quantity for the product (to be used in Checkout / Order
            methods described below, as needed)
        OriginalListPrice:
          type: number
          description: >-
            Product list price (before any discounts) in the original Merchant’s
            currency including the local VAT, before applying any price
            modifications. This property always denotes the product’s price in
            the default Merchant’s country, regardless of UseCountryVAT for the
            end customer’s current country.
        OriginalSalePrice:
          type: number
          description: >-
            Product sale price in the original Merchant’s currency including the
            local VAT, before applying any price modifications. This property
            always denotes the product’s price in the default Merchant’s
            country, regardless of UseCountryVAT for the end customer’s current
            country.
        OriginCountryCode:
          type: string
          description: >-
            2-char ISO country code of the product’s country of Origin. The
            Merchant’s country will be assumed if not specified.
        ParentCartItemId:
          type: string
          description: >-
            Identifier of the current item’s parent cart item on the Merchant’s
            site. This value must be specified if the current cart item is
            related to a parent item ( CartItemId must not be specified for this
            item because this attribute applies only to the “parent” item
            itself). For example, this item might indicate a custom option (such
            as a product package) for the parent item in the same cart. This
            property may be optionally specified in the SendCart method only so
            that the same value can be posted back when creating the order on
            the Merchant’s site with the SendOrderToMerchant method.
        PriceCoefficientRate:
          type: number
          description: >-
            Rate applicable to this Product’s ProductClassCode if returned from
            the CountryCoefficients method.
        ProductClassCode:
          type: string
          description: >-
            The product class code is used by the Merchant to classify products
            to use different country coefficient rates.
        ProductCode:
          type: string
          description: >-
            SKU code used to identify the product on the Merchant’s site (to be
            mapped on the Global‑e side)
        ProductCodeSecondary:
          type: string
          description: >-
            Secondary code that may be used to refer to the product on the
            Merchant’s site. This code may be used in addition to the
            ProductCode and is not guaranteed to be unique (may be reused for
            other products as long as the old product is not available on the
            Merchant’s site any more).
        ProductGroupCode:
          type: string
          description: >-
            Product’s group code on the Merchant’s site (to be mapped on the
            Global‑e side). Usually, this value is a part of the product SKU
            code denoting a group of similar products (such as "the same product
            in different s").
        ProductGroupCodeSecondary:
          type: string
          description: >-
            Secondary code that may refer to the group of products on the
            Merchant’s site. This code may be used in addition to the
            ProductGroupCode and is not guaranteed to be unique (may be reused
            for other groups as long as the old group is not available on the
            Merchant’s site anymore).
        SalePrice:
          type: number
          description: >-
            Product sale price as displayed to the customer, after applying
            country coefficient, FX conversion, rounding rule (if applicable)
            and IncludeVAT handling.
        SalePriceBeforeRounding:
          type: number
          description: >-
            Product sale price as displayed to the customer, after applying
            country coefficient, FX conversion and IncludeVAT handling, before
            rounding rules have been applied. If not specified, will be deemed
            equal to SalePrice .
        SalePriceReason:
          type: string
          description: >-
            Reason for the sale price. This property may optionally contain the
            text definition of the promo that has resulted in the price
            deduction for this product (such as “10% discount on all shoes”).
        URL:
          type: string
          description: The product’s information page URL
        VATCategory:
          allOf:
            - $ref: '#/components/schemas/VATCategory'
          description: >-
            The product’s VAT category. A product may be assigned to a single
            VAT category on the Merchant’s site. If available, the respective
            product’s HS Code should be used as the VAT category for a product.
        VATRateType:
          allOf:
            - $ref: '#/components/schemas/VATRateType'
          description: Product’s VAT rate type or class
        Volume:
          type: number
          description: >-
            The product’s volume in the Merchant’s default unit of volume
            measure (will be converted to cubic CM). Optional, can be used as an
            alternative for specifying all Height, Width and Length dimensions
        Weight:
          type: number
          description: >-
            The product’s weight is in the Merchant’s default unit of weight
            measure (will be converted to grams). The Merchant’s default product
            weight will be used if not specified.
        Width:
          type: number
          description: >-
            The product’s width in the Merchant’s default unit of length measure
            (will be converted to CM).
    ProductCountry:
      type: object
      title: ProductCountry
      properties:
        CountryCode:
          type: string
          description: 2-char ISO code of the shipping country
        ForbiddanceMessage:
          type: string
          description: >-
            Textual definition of the forbiddance (will be empty if IsForbidden
            is FALSE)
        IsForbidden:
          type: boolean
          description: >-
            Indicates if Global-e supports shipping the product to this country.
            TRUE - Global-e does not support shipping the product to this
            country. Adding this product to the cart must be disabled
            completely. FALSE - The product can be shipped to this country.
        IsRestricted:
          type: boolean
          description: >-
            Indicates if this product has import restrictions for this shipping
            country. TRUE - Product has import restrictions for this shipping
            country. If at least one restricted product is included in the Cart,
            the end customer will not be able to place the order with Global-e
            until the product is either removed from the Cart or a shipping
            country with no restrictions for this product is selected. FALSE -
            Product does not have import restrictions.
        IsVerified:
          type: boolean
          description: >-
            Indicates if product restrictions and other data contained in this
            object have been verified by Global‑e (i.e. some algorithmic
            approximations may be used by the system until manually resolved by
            Global‑e personnel). TRUE - Product restrictions/data have been
            verified. FALSE - Restrictions not verified.
        ProductCode:
          type: string
          description: >-
            SKU code used to identify the product on the Merchant’s site (to be
            mapped on the Global‑e side)
        RestrictionMessage:
          type: string
          description: >-
            Textual definition of the restriction (will be empty if IsRestricted
            is FALSE)
        TTL:
          type: number
          description: >-
            Time-to-live interval (in seconds) before this object must be
            refreshed from the Global-e server. This property overwrites the
            “max-age” header returned by any method call which returns the
            ProductCountry object.
        UploadedViaCatalog:
          type: boolean
          description: >-
            Indicates whether the product was uploaded via catalogue or not.
            TRUE - Product was uploaded via catalogue. FALSE - Product was not
            uploaded via catalogue.
        VATRateType:
          allOf:
            - $ref: '#/components/schemas/VATRateType'
          description: >-
            Product’s VAT rate type or class to be used for this product in this
            shipping country. If not specified, the respective
            VATCategoryCountry’s VATRateType or Country’s DefaultVATRateType
            must be used if applicable according to the UseCountryVAT value for
            this country. Otherwise, the VAT rate defined for this product on
            the Merchant’s site must be used.
    Attributes:
      type: object
      title: Attributes
      properties:
        AttributeCode:
          type: string
          description: >-
            Custom attribute code denoting a Merchant-specific attribute such as
            size, color, etc. (to be mapped on the Global‑e side)
        AttributeTypeCode:
          type: string
          description: >-
            Code used to identify the attribute type on the Merchant’s site such
            as “size” for size, “color” for "colour", etc. (to be mapped on the
            Global‑e side)
        Name:
          type: string
          description: Attribute name
    Brand:
      type: object
      title: Brand
      properties:
        BrandCode:
          type: string
          description: >-
            Brand code on the Merchant’s site (to be mapped on the Global‑e
            side)
        Name:
          type: string
          description: Brand name
    Category:
      type: object
      title: Category
      properties:
        CategoryCode:
          type: string
          description: >-
            Category code on the Merchant site (to be mapped on the Global‑e
            side)
        Name:
          type: string
          description: Category name
    VATRateType:
      type: object
      title: VATRateType
      properties:
        Name:
          type: string
          description: VAT rate type name
        Rate:
          type: number
          description: VAT rate decimal value
        VATRateTypeCode:
          type: string
          description: >-
            VAT rate type (or class) code on the Merchant’s site (to be mapped
            on the Global-e side)
    ProductMetaData:
      type: object
      title: ProductMetaData
      properties:
        Attributes:
          type: array
          items:
            $ref: '#/components/schemas/Attributes'
          description: >-
            Customer-defined product attributes that allow the personalisation
            of the product if supported by the merchant’s site (e.g. engraving)
    VATCategory:
      type: object
      title: VATCategory
      properties:
        Name:
          type: string
          description: VAT Category name
        VATCategoryCode:
          type: string
          description: >-
            Code used to identify the VAT category on the Merchant’s site (to be
            mapped on the Global‑e side)

````